<?php

/**
 * This file is part of ILIAS, a powerful learning management system
 * published by ILIAS open source e-Learning e.V.
 *
 * ILIAS is licensed with the GPL-3.0,
 * see https://www.gnu.org/licenses/gpl-3.0.en.html
 * You should have received a copy of said license along with the
 * source code, too.
 *
 * If this is not the case or you just want to try ILIAS, you'll find
 * us at:
 * https://www.ilias.de
 * https://github.com/ILIAS-eLearning
 *
 *********************************************************************/

declare(strict_types=1);

namespace ILIAS\Plugin\PlagScanExercise\Form;

use ilCheckboxInputGUI;
use ilFormSectionHeaderGUI;
use ILIAS\DI\Container;
use ilPlagScanExercisePlugin;
use ilPropertyFormGUI;
use ilSelectInputGUI;

class FormSection
{
    protected Container $dic;
    protected ilPlagScanExercisePlugin $plugin;

    public function __construct()
    {
        global $DIC;

        $this->dic = $DIC;
        $this->plugin = ilPlagScanExercisePlugin::getInstance();
    }

    public function addPlagScanConfig(ilPropertyFormGUI $form): void
    {
        $user = $this->dic->user();

        $section = new ilFormSectionHeaderGUI();
        $section->setTitle($this->plugin->txt('ass_title'));
        $form->addItem($section);

        $act_cb = new ilCheckboxInputGUI($this->plugin->txt('ass_activation'), 'psx_activation');
        $form->addItem($act_cb);

        $checkstart_drop = new ilSelectInputGUI($this->plugin->txt('ass_checkstart'), 'psx_checkstart');
        $checkstart_drop->setOptions(
            [
                'manual' => $this->plugin->txt('ass_cs_manual'),
                'automatic' => $this->plugin->txt('ass_cs_auto'),
                'immediate' => $this->plugin->txt('ass_cs_immediate'),
            ]
        );
        $checkstart_drop->setInfo($this->plugin->txt('ass_cs_auto_info'));
        $form->addItem($checkstart_drop);

        $resultshare_drop = new ilSelectInputGUI($this->plugin->txt('ass_resultshare'), 'psx_resultshare');
        $resultshare_drop->setOptions(
            [
                'never' => $this->plugin->txt('ass_rs_never'),
                'always' => $this->plugin->txt('ass_rs_always'),
                'deadline' => $this->plugin->txt('ass_rs_deadline'),
            ]
        );
        $form->addItem($resultshare_drop);

        $resulttype_drop = new ilSelectInputGUI($this->plugin->txt('ass_resulttype'), 'psx_resulttype');
        $resulttype_drop->setOptions(
            [
                'percentage_only' => $this->plugin->txt('ass_rt_percentage_only'),
                'percentage_link' => $this->plugin->txt('ass_rt_percentage_link'),
            ]
        );
        $form->addItem($resulttype_drop);
    }
}
