<?php

/**
 * This file is part of ILIAS, a powerful learning management system
 * published by ILIAS open source e-Learning e.V.
 *
 * ILIAS is licensed with the GPL-3.0,
 * see https://www.gnu.org/licenses/gpl-3.0.en.html
 * You should have received a copy of said license along with the
 * source code, too.
 *
 * If this is not the case or you just want to try ILIAS, you'll find
 * us at:
 * https://www.ilias.de
 * https://github.com/ILIAS-eLearning
 *
 *********************************************************************/

declare(strict_types=1);

namespace PlagScan\Helper;

class Groups extends Base
{
    /**
     * @return array|string
     */
    public function get(int $group_id)
    {
        return $this->handler->request('groups/' . $group_id, 'GET', $this->access_token);
    }

    /**
     * @return array|string
     */
    public function add(string $group_name, int $group_admin_id = 0)
    {
        $data['deptName'] = $group_name;

        if ($group_admin_id) {
            $data['deptAdmin'] = $group_admin_id;
        }

        return $this->handler->request('groups', 'POST', $this->access_token, $data);
    }

    /**
     * @return array|string
     */
    public function change(int $group_id, array $changes)
    {
        return $this->handler->request('groups/' . $group_id, 'PATCH', $this->access_token, $changes);
    }

    /**
     * @return array|string
     */
    public function delete(int $group_id)
    {
        return $this->handler->request('groups/' . $group_id, 'DELETE', $this->access_token);
    }
}
